> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# GetMembershipSummary

This is reserved for Docusign use and you must have Docusign Administrator rights to use this method.

This method requests a list of summary information about the accounts and users associated with the supplied email address.

This function uses the UserName/Password/IntegratorKey authentication and requires System Administrator privileges. It takes the argument: | Name | Schema Type | Description | | --- | --- | --- | | Email | String | The email address for the user whose account and user information is being requested. |

## Sample Request XML

```
POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/GetMembershipSummary"

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap: Body>
      <GetMembershipSummary xmlns="http://www.docusign.net/API/AccountManagement">
         <Email>string</Email>
      </GetMembershipSummary>
   </soap:Body>
</soap:Envelope>
```

This function returns a repeating list of membership summaries with the following information: | Name | Schema Type | Description | | --- | --- | --- | | AccountName | String | The Account Name associated with the requested user. | | AccountId | String | The Account ID associated with the requested user. | | UserName | String | The name of the user associated with the account. | | UserId | String | The ID of the user associated with the account. | | UserType | String | Works in combination with UserStatus to show user membership information.\n\nThere are two possible values for this element: Recipient and CompanyUser.\n\nSee the table below for a description of the meaning of different UserId and UserStatus combinations. | | UserStatus | String | Works in combination with UserType to show user membership information.\n\nThere are three possible values for this element: Created, Active, and Closed.\n\nSee the table below for a description of the meaning of different UserId and UserStatus combinations. | | PlanName | String | The plan name for the account. | | Pgp | String | The plan group plan for the account. The Pgp uniquely identifies a plan/plan group and is used to set plans in other functions. |

## Sample Response XML

```
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap: Body>
      <GetMembershipSummaryResponse xmlns="http://www.docusign.net/API/AccountManagement">
         <GetMembershipSummaryResult>
            <MembershipSummaries>
               <MembershipSummary>
                  <AccountName>string</AccountName>
                  <AccountId>string</AccountId>
                  <UserName>string</UserName>
                  <UserId>string</UserId>
                  <UserType>CompanyUser or Recipient</UserType>
                  <UserStatus>Created or Active or Closed</UserStatus>
                  <PlanName>string</PlanName>
                  <Pgp>string</Pgp>
               </MembershipSummary>
               <MembershipSummary>
                  <AccountName>string</AccountName>
                  <AccountId>string</AccountId>
                  <UserName>string</UserName>
                  <UserId>string</UserId>
                  <UserType>CompanyUser or Recipient</UserType>
                  <UserStatus>Created or Active or Closed</UserStatus>
                  <PlanName>string</PlanName>
                  <Pgp>string</Pgp>
               </MembershipSummary>
            </MembershipSummaries>
            <Success>boolean</Success>
            <Error>
               <ErrorCode>Unspecified_Error or Invalid_Account_ID or Account_Requires_User_Name_And_Password_For_Activation or Account_Is_Already_Activated_For_Salesforce or Invalid_Distributor_For_Account or Invalid_User_ID or Invalid_Account or User_Is_Not_An_Account_Manager or Invalid_Login or Invalid_Member_User_Name or Invalid_Member_Email or Member_Email_Not_Allowed or Member_Email_And_User_Name_Awaiting_Activation or Member_Email_And_User_Name_Already_Exists_For_This_Account or Member_Password_Blank or Member_Forgotten_Password_Question_Blank or Member_Forgotten_Password_Answer_Blank or Invalid_Password_Format or Invalid_Member_Data or Member_Email_And_User_Name_Already_Exists or Not_Authorized or Invalid_Distributor_Selected or Invalid_PGP_For_Distributor or Invalid_Credit_Card_Type or CreditCard_Auth_Failed or Invalid_PGP or Invalid_Plan_Retired or Invalid_Successor_Plan or Invalid_Credit_Card or Credit_Card_Expiration or Invalid_AppToken or Distributor_Not_Enabled_For_AppToken or Plan_Group_Not_Enabled_For_Distributor or Invalid_Configuration_Number or Invalid_Salesforce_Credentials or Invalid_Salesforce_External_Instance_ID or Invalid_Docusign_Connect_Configuration_For_Account or Invalid_User or Invalid_Membership or Invalid_Account_Member or Invalid_Edit_User or Invalid_Edit_Membership or Invalid_CanEditSharedAddressBook_Value or Invalid_CanManageTemplates_Value or Invalid_Membership_ID or Invalid_Request or Partner_Authentication_Failed</ErrorCode>
               <Description>string</Description>
            </Error>
         </GetMembershipSummaryResult>
      </GetMembershipSummaryResponse>
   </soap:Body>
</soap:Envelope>
```

## UserType and UserStatus Combinations

| User Type                | User Status | Description                                                                                                                                                                                |
| ------------------------ | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Recipient                | Created     | The user has received documents for signing and may have signed them, but does not have a Docusign account used to log into the console.                                                   |
| Recipient                | Active      | The user has received documents for signing and has signed up for free Docusign account. The user has console access to view and sign documents in the console, but cannot send documents. |
| CompanyUser              | Active      | The user has a Docusign account that allows access to view, sign, and send documents. The user also has a billing plan.                                                                    |
| CompanyUser              | Created     | This combination is not used.                                                                                                                                                              |
| Recipient or CompanyUser | Closed      | The user account has been closed. Note that the UserType does not matter if the UserStatus is Closed.                                                                                      |